curl --request GET \
--url https://{subdomain}.logicgate.com/api/v2/workflows/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.logicgate.com/api/v2/workflows/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.logicgate.com/api/v2/workflows/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{subdomain}.logicgate.com/api/v2/workflows/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{subdomain}.logicgate.com/api/v2/workflows/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{subdomain}.logicgate.com/api/v2/workflows/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{subdomain}.logicgate.com/api/v2/workflows/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "a1b2c3d4",
"name": "Risk Assessments",
"description": "Risk Assessment Description Text",
"recordPrefix": "Assessment",
"applicationId": "a1b2c3d4",
"xpos": 20,
"ypos": 20,
"type": "WORKFLOW",
"object": "workflow"
}{
"property": "<string>",
"value": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}Retrieve a workflow
Permissions: Build Access to parent application
Retrieve a workflow specified by the ID in the URL path.
curl --request GET \
--url https://{subdomain}.logicgate.com/api/v2/workflows/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.logicgate.com/api/v2/workflows/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.logicgate.com/api/v2/workflows/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{subdomain}.logicgate.com/api/v2/workflows/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{subdomain}.logicgate.com/api/v2/workflows/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{subdomain}.logicgate.com/api/v2/workflows/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{subdomain}.logicgate.com/api/v2/workflows/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "a1b2c3d4",
"name": "Risk Assessments",
"description": "Risk Assessment Description Text",
"recordPrefix": "Assessment",
"applicationId": "a1b2c3d4",
"xpos": 20,
"ypos": 20,
"type": "WORKFLOW",
"object": "workflow"
}{
"property": "<string>",
"value": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}Authorizations
Bearer token issued via the Authentication endpoints.
Headers
A bearer authorization header containing a Risk Cloud API access token in the format Authorization: Bearer TOKEN — replace TOKEN with your actual access token.
To obtain a Risk Cloud API access token, refer to Obtain an API Access Token in the LogicGate Help Center.
Path Parameters
The unique ID of the workflow
Response
Success
The unique ID of this Risk Cloud resource
"a1b2c3d4"
The name of the workflow
"Risk Assessments"
The description of the workflow
"Risk Assessment Description Text"
The prefix to be used in the name of every record created from this workflow
"Assessment"
The unique ID of the parent application of the workflow
"a1b2c3d4"
The x-coordinate of the workflow in the application builder
20
The y-coordinate of the workflow in the application builder
20
The type of workflow
WORKFLOW, JIRA_WORKFLOW, CONTROL_WORKFLOW, ANALYSIS_WORKFLOW "WORKFLOW"
Identifies the type of object this data represents
"workflow"